local atrCore = CreateFrame("Frame", "atrCore")
_G["atrCore"] = atrCore

atrCore.art = {
    backdrop = {
        default = {
            bgFile = "Interface\\AddOns\\atrCore\\background", tile = true, tileSize = 1,
            edgeFile = "Interface\\AddOns\\atrCore\\border", edgeSize = 16,
            color = {1, 1, 1, 0},
            borderColor = {10/255, 10/255, 10/255, 1},
            backdropColor = {.5, .5, .5, .5},
        },
        aura = {
            bgFile = "Interface\\AddOns\\atrCore\\aura",
            tile = false,
            color = {0, 0, 0, .75}
        }
    },
    font = {
        default = {"Interface\\Addons\\atrCore\\fonts\\AccidentalPresidency.TTF", 12},
        aura = {
            timer = {"Interface\\Addons\\atrCore\\fonts\\MgOpenModernaBold.TTF", 10, "OUTLINE"},
            count = {"Interface\\Addons\\atrCore\\fonts\\MgOpenModernaBold.TTF", 8, "OUTLINE"},
        }
    }
}
atrCore.colors = {
    threat = {
        none = {.18, .18, .18, 1}, -- None
        {69/255, 88/255, 0, 1}, -- Minor
        {170/255, 115/255, 0, 1}, -- Danger
        {70/255, 0, 0, 1} -- Has threat
    },
}
for class, color in pairs(RAID_CLASS_COLORS) do
    atrCore.colors[class] = {color.r, color.g, color.b}
end
for power, color in pairs(PowerBarColor) do
	if(type(power) == 'string') then
		atrCore.colors[power] = {color.r, color.g, color.b}
	end
end
atrCore.colors.DEATHKNIGHT = {1, 0, 0}
atrCore.colors.MANA = {0, 144/255, 1}

------------------------------

function atrCore:Round(num, idp)
  local mult = 10^(idp or 0)
  return math.floor(num * mult + 0.5) / mult
end

function atrCore:TextHexColor(r, g, b, pattern)
	return string.format("|cff%02x%02x%02x", r*255, g*255, b*255)..pattern.."|r"
end

function atrCore:CustomReactionColor(r, g, b)
    -- Convert that awful blue color into a more stomachable one
    if(r == 0 and g == 0 and b > .7) then
        return .25, .75, 1
    else
        return r, g, b
    end
end

------------------------------

atrCore:RegisterEvent("PLAYER_ENTERING_WORLD")
atrCore:SetScript("OnEvent", function(self, e)
    if(e == "PLAYER_ENTERING_WORLD") then
        if(IsAddOnLoaded("atrArt")) then
            print("|cff00bbffatrCore:|r|cffffffff Delete atrArt from your addons folder and use atrCore instead.|r")
        end
    end
end)